from rest_framework.response import Response


def json_response(func):
    """
    A simple decorator that takes a view response and turns it
    into json.

    """
    def wrapper(request, *args, **kwargs):
        response = func(request, *args, **kwargs)
        if isinstance(response, Response):
            return response
        if isinstance(response, dict):
            return Response(response, status=response.get('status'))
        if isinstance(response, list):
            return Response(response)
        elif isinstance(response, int):
            return Response(status=response)
        else:
            return response
    return wrapper
