from django.conf.urls import include, url
from rest_framework import routers

from annotation.views import AnnotationView
from connectors.views import ConnectorConfigurationView, ConnectorOperationView
from data_import.views import DataImportView

# Routers provide an easy way of automatically determining the URL conf.
router = routers.DefaultRouter()
router.register(r'annotation', AnnotationView, base_name='annotation')
router.register(r'configuration', ConnectorConfigurationView, base_name='configuration')
router.register(r'operation', ConnectorOperationView, base_name='operation')
router.register(r'data-import', DataImportView, base_name='data import')

urlpatterns = [
    url(r'^integration/', include('connectors.urls')),
    url(r'^integration/', include(router.urls)),
]
